CqClosedException (Apache Geode 1.12.4)
Date: 2021-07-21

org.apache.geode.cache.query

## Class CqClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.query.CqClosedException

- All Implemented Interfaces:
    Serializable

      public class CqClosedException
      extends CacheRuntimeException

  Thrown if the CqQuery on which the operation performed is closed.
  Since:
    GemFire 5.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CqClosedException(String msg)` Constructor used by concrete subclasses
    `CqClosedException(String msg, Throwable cause)` Constructor used by concrete subclasses
    `CqClosedException(Throwable cause)` Constructor used by concrete subclasses

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CqClosedException

          public CqClosedException(String msg,
                                   Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception

    - #### CqClosedException

          public CqClosedException(String msg)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message

    - #### CqClosedException

          public CqClosedException(Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `cause` - a Throwable cause of this exception